# Uses of Interface
javax.management.relation.RelationType

Packages that use RelationType
Package
Description
javax.management.relation
Provides the definition of the Relation Service.

## Uses of RelationType in javax.management.relation

Classes in javax.management.relation that implement RelationType
Modifier and Type
Class
Description
`class`
`RelationTypeSupport`
A RelationTypeSupport object implements the RelationType interface.
Methods in javax.management.relation with parameters of type RelationType
Modifier and Type
Method
Description
`void`
RelationService.`addRelationType(RelationType relationTypeObj)`
Adds given object as a relation type.
`void`
RelationServiceMBean.`addRelationType(RelationType relationTypeObj)`
Adds given object as a relation type.